﻿© 2003 Fluke Corporation. All Rights Reserved.              MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub HP 3245A ACV Harmonics & Spurs VER IEEE /8568
DATE:                  10-Oct-2003
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       7
NUMBER OF LINES:       207
CONFIGURATION:         HP 8568B
=============================================================================
#
#  Author:
#        DFM
#
# Compatibility:
#        MET/CAL 7.01 or later
#
# Subprocedures:
#        None
#
# Required Files:
#        None
#
# Registers Used:
#
#  Local:
#     Sub HP 3245A ACV Harmonic & Spurs VER IEEE /8568
#        L[1] = Measured UUT reference value
#        L[2] = Computed reference (UUT spec) value
#
#  Global:
#        None
#
#  String:
#        S[6] = UUT channel under test ("A" or "B") designator
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  LABEL        ACV_SINE_VOLTS
  1.002  RSLT         =
  1.003  RSLT         =Channel [S6]
  1.004  RSLT         =
  1.005  HEAD         ACV, HARMONIC & SPURIOUS LEVELS (Channel [S6])

  1.006  LABEL        INPUT_CONNECTION
  1.007  DISP         Connect a 20 dB, 50 Ohm, BNC attenuator to the 8568B
  1.007  DISP         INPUT 1.
  1.007  DISP
  1.007  DISP         Connect the UUT Channel [S6] OUTPUT to the input of
  1.007  DISP         the 20 dB attenuator.
  1.008  OPBR         [32]                   CAUTION!
  1.008  OPBR         Failure to use a 20 dB attenuator at the Spectrum
  1.008  OPBR         Analyzer input will cause its input amplifier to
  1.008  OPBR         be DESTROYED!
  1.008  OPBR
  1.008  OPBR         Has a 20 dB attenuator been installed to the 8568B
  1.008  OPBR         INPUT 1?
  1.009  JMPL         INPUT_CONNECTION             MEM1 < 0

  1.010  DISP         [32]                     NOTE
  1.010  DISP         In the following tests, ignore the presence of the
  1.010  DISP         fundamental at the extreme left edge of the display
  1.010  DISP         when making a PASS/FAIL determination.

  1.011  HEAD         ACV, HARMONIC & SPURIOUS LEVELS (Channel [S6]): 3 kHz
  1.012  TARGET
# Preset 8568B reference level and input attenuator to protect input mixer.
  1.013  IEEE         [@8568]RL 10;AT 40
# Set UUT output parameters.
  1.014  IEEE         IMP 50;APPLY ACV 10;FREQ 3000
# Set up 8568B measurement parameters.
  1.015  M8568  SPAN  3kH
  1.016  M8568  RESBW 100H
  1.017  M8568  VIDBW 100H                         10D
# Measure amplitude of fundamental (3 kHz).
  1.018  8568         4D                           3kH            I1    N
# Store fundamental reference level in L[1].
  1.019  MATH         L[1] = MEM
# Turn 8568B marker off.
  1.020  IEEE         [@8568]MKOFF
# Set 8568B: Start, 3 kHz; Stop, 30 kHz; Res BW, 100 Hz; Vid BW, 100 Hz;
# Ref Lvl, +10 dBm; Input Attenuation, 40 dB (to avoid input mixer overload)
  1.021  IEEE         [@8568]I1;FA 3kZ;FB 30KZ;RB 100HZ;VB 100HZ;RL 10;AT 40
# Set 8568B: Single sweep; EOS SRQ On; Trigger a sweep.
  1.022  IEEE         [@8568]SNGLS;R2;TS[SRQ 10000, 42]
# Trigger a second sweep for record.
  1.023  IEEE         [@8568]TS[SRQ 10000, 42]
# Compute display line absolute level by subtracting UUT specification from
# measured reference level.
  1.024  MATH         L[2] = L[1] + -62
# Display reference line on 8568B CRT.
  1.025  IEEE         [@8568]DL [L2]
  1.026  OPBR         Are all displayed harmonics and spurious responses
  1.026  OPBR         BELOW the displayed reference line?
  1.027  EVAL   -e MEM1 > 0 : [32]  3 kHz fundamental
# Turn off 'end of sweep' SRQ and displayed reference line.
  2.001  IEEE         [@8568]R1;DLE OFF

  2.002  LABEL        10kHz_HARMONIC_TEST
  2.003  HEAD         ACV, HARMONIC & SPURIOUS LEVELS (Channel [S6]): 10 kHz
  2.004  TARGET
  2.005  IEEE         IMP 50;APPLY ACV 10;FREQ 10000
  2.006  M8568  SPAN  10kH
  2.007  M8568  RESBW 100H
  2.008  M8568  VIDBW 100H                         10D
  2.009  8568         4D                           10kH           I1    N
  2.010  MATH         L[1] = MEM
  2.011  IEEE         [@8568]MKOFF
  2.012  IEEE         [@8568]I1;FA 10KZ;FB 100KZ;RB 300HZ;VB 300HZ;RL 10;AT 40
  2.013  IEEE         [@8568]SNGLS;R2;TS[SRQ 10000, 42]
  2.014  IEEE         [@8568]TS[SRQ 10000, 42]
  2.015  MATH         L[2] = L[1] + -62
  2.016  IEEE         [@8568]DL [L2]
  2.017  OPBR         Are all displayed harmonics and spurious responses
  2.017  OPBR         BELOW the displayed reference line?
  2.018  EVAL   -e MEM1 > 0 : [32] 10 kHz fundamental
  3.001  IEEE         [@8568]R1;DLE OFF

  3.002  LABEL        30kHz_HARMONIC_TEST
  3.003  HEAD         ACV, HARMONIC & SPURIOUS LEVELS (Channel [S6]): 30 kHz
  3.004  TARGET
  3.005  IEEE         IMP 50;APPLY ACV 10;FREQ 30000
  3.006  M8568  SPAN  30kH
  3.007  M8568  RESBW 300H
  3.008  M8568  VIDBW 300H                         10D
  3.009  8568         4D                           30kH           I1    N
  3.010  MATH         L[1] = MEM
  3.011  IEEE         [@8568]MKOFF
  3.012  IEEE         [@8568]I1;FA 30KZ;FB 300KZ;RB 300HZ;VB 300HZ;RL 10;AT 40
  3.013  IEEE         [@8568]SNGLS;R2;TS[SRQ 10000, 42]
  3.014  IEEE         [@8568]TS[SRQ 10000, 42]
  3.015  MATH         L[2] = L[1] + -55
  3.016  IEEE         [@8568]DL [L2]
  3.017  OPBR         Are all displayed harmonics and spurious responses
  3.017  OPBR         BELOW the displayed reference line?
  3.018  EVAL   -e MEM1 > 0 : [32] 30 kHz fundamental
  4.001  IEEE         [@8568]R1;DLE OFF

  4.002  LABEL        100kHz_HARMONIC_TEST
  4.003  HEAD         ACV, HARMONIC & SPURIOUS LEVELS (Channel [S6]): 100 kHz
  4.004  TARGET
  4.005  IEEE         IMP 50;APPLY ACV 10;FREQ 100000
  4.006  M8568  SPAN  100kH
  4.007  M8568  RESBW 300H
  4.008  M8568  VIDBW 300H                         10D
  4.009  8568         4D                           100kH          I1    N
  4.010  MATH         L[1] = MEM
  4.011  IEEE         [@8568]MKOFF
  4.012  IEEE         [@8568]I1;FA 100KZ;FB 1MZ;RB 1KHZ;VB 1KHZ;RL 10;AT 40
  4.013  IEEE         [@8568]SNGLS;R2;TS[SRQ 10000, 42]
  4.014  IEEE         [@8568]TS[SRQ 10000, 42]
  4.015  MATH         L[2] = L[1] + -46
  4.016  IEEE         [@8568]DL [L2]
  4.017  OPBR         Are all displayed harmonics and spurious responses
  4.017  OPBR         BELOW the displayed reference line?
  4.018  EVAL   -e MEM1 > 0 : [32]100 kHz fundamental
  5.001  IEEE         [@8568]R1;DLE OFF

  5.002  LABEL        300kHz_HARMONIC_TEST
  5.003  HEAD         ACV, HARMONIC & SPURIOUS LEVELS (Channel [S6]): 300 kHz
  5.004  TARGET
  5.005  IEEE         IMP 50;APPLY ACV 10;FREQ 300000
  5.006  M8568  SPAN  300kH
  5.007  M8568  RESBW 1kH
  5.008  M8568  VIDBW 1kH                          10D
  5.009  8568         4D                           300kH          I1    N
  5.010  MATH         L[1] = MEM
  5.011  IEEE         [@8568]MKOFF
  5.012  IEEE         [@8568]I1;FA 300KZ;FB 3MZ;RB 1KHZ;VB 1KHZ;RL 10;AT 40
  5.013  IEEE         [@8568]SNGLS;R2;TS[SRQ 10000, 42]
  5.014  IEEE         [@8568]TS[SRQ 10000, 42]
  5.015  MATH         L[2] = L[1] + -40
  5.016  IEEE         [@8568]DL [L2]
  5.017  OPBR         Are all displayed harmonics and spurious responses
  5.017  OPBR         BELOW the displayed reference line?
  5.018  EVAL   -e MEM1 > 0 : [32]300 kHz fundamental
  6.001  IEEE         [@8568]R1;DLE OFF

  6.002  LABEL        1MHz_HARMONIC_TEST
  6.003  HEAD         ACV, HARMONIC & SPURIOUS LEVELS (Channel [S6]): 1 MHz
  6.004  TARGET
  6.005  IEEE         IMP 50;APPLY ACV 10;FREQ 1000000
  6.006  M8568  SPAN  1MH
  6.007  M8568  RESBW 1kH
  6.008  M8568  VIDBW 1kH                          10D
  6.009  8568         4D                           1MH            I1    N
  6.010  MATH         L[1] = MEM
  6.011  IEEE         [@8568]MKOFF
  6.012  IEEE         [@8568]I1;FA 1MZ;FB 10MZ;RB 3KHZ;VB 3KHZ;RL 10;AT 40
  6.013  IEEE         [@8568]SNGLS;R2;TS[SRQ 10000, 42]
  6.014  IEEE         [@8568]TS[SRQ 10000, 42]
  6.015  MATH         L[2] = L[1] + -40
  6.016  IEEE         [@8568]DL [L2]
  6.017  OPBR         Are all displayed harmonics and spurious responses
  6.017  OPBR         BELOW the displayed reference line?
  6.018  EVAL   -e MEM1 > 0 : [32]  1 MHz fundamental

  7.001  LABEL        END
  7.002  M8568        *
  7.003  8568         *                                                 S
  7.004  END
